name: naiyouwl
version: 1.0.0+1
publish_to: none
description: naiyou
environment: 
  sdk: '>=3.1.1 <4.0.0'

dependencies:
  styled_widget: ^0.4.0+3
  web_socket_channel: ^2.1.0
  yaml: ^3.1.0
  flutter_emoji: ^2.4.0
  process_run: ^0.13.0
  tray_manager: ^0.2.0
  proxy_manager: ^0.0.3
  shared_preferences: ^2.0.10
  cupertino_icons: ^1.0.2
  window_manager: ^0.3.6
  http: ^1.1.0
  provider: ^6.0.5
  logger: ^2.0.2+1
  get: 4.6.6
  flutter: 
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  dio: ^4.0.6
  connectivity_plus: ^2.3.6
  flutter_secure_storage: ^5.0.2
  sp_util: ^2.0.3
  dart_json_mapper: ^2.2.7
  url_launcher: ^6.1.11
  path_provider: ^2.0.11
  bot_toast: ^4.1.3
  protocol_handler: ^0.1.2
  wl_base_help:
    path: ../wl_base_help
  archive: ^3.6.1
  yaml_edit: ^2.2.1


dev_dependencies:

  flutter_lints: ^2.0.0
  flutter_test: 
    sdk: flutter
  ffigen: any
  build_runner: ^2.4.4
  test: ^1.24.3
flutter:
  assets:
    - assets/
    - assets/bin/
    - assets/dep/
    - assets/images/login/
    - assets/images/main/
    - assets/images/node/
    - assets/images/logo/
#    - images/login/login.png
#    - images/main/main.png
#    - images/main/refresh.png
#    - images/main/userstatus.png
#    - images/main/userstatusoff.png
#    - images/main/customer.png
#    - images/main/promotion.png
#    - images/main/tutorial.png
#    - images/main/renewal.png
#    - images/main/disconnected.gif
#    - images/main/connecting.gif
#    - images/main/stopped.gif
#    - images/node/nodebg.png
#    - images/node/nodetablebg.png
  uses-material-design: true

ffigen:
  name: "ClashFFI"
  output: 'lib/app/bean/generated/clash_generated_bindings.dart'
  headers:
    entry-points:
      - 'libclash/libclash.h'
  compiler-opts:
    - '--target=x86_64-apple-macos10.15'  # 指定 macOS 10.15 版本，兼容性较好
    - '-Wno-availability'  # 忽略所有可用性相关的警告
    - '--sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk'  # macOS SDK 路径